# Command: put_d

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    put_d - Add an entry to a dictionary

Synopsis:

    <> /key val -> <>

Examples:

      userdict /a 1 put_d
      << >> /a 1 put_d

Description:

      put_d adds the pair /key value to the supplied dictionary.
      If /key was already defined in that dictionary, its old
      value is lost.

      In contrast to PostScript dictionaries, only literal names can
      be used as keys in a dictionary.

Parameters:

      dict	- a dictionary
      /key	- a literal name
      val 	- an object of arbitrary type

Diagnostics:

      No errors are raised.

Author:

      Marc-Oliver Gewaltig

SeeAlso:

- get_d
- known
- dict
- <<>>
- clonedict

Source:

    /opt/conda/conda-bld/nest_1512418773968/work/nest-2.14.0/sli/slidict.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative